Bug 134192 - Need ppc64 64-bit openssl-devel package
Need ppc64 64-bit openssl-devel package
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: distribution (Show other bugs)
3.0
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-29 23:10 EDT by Dennis
Modified: 2014-03-16 22:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 11:20:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis 2004-09-29 23:10:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
Some necessary development 64-bit libraries are not available
on the ppc64 release of Red Hat Enterprise Linux 3.

For example the following libraries are not available:

/usr/lib64/libcrypto.a
/usr/lib64/libcrypto.so
/usr/lib64/libssl.a
/usr/lib64/libssl.so


A Red Hat engineer informs me that a openssl-devel-*.ppc64 
package will need to be created (alongside 
openssl-devel-*.ppc). The package should be built something like
rpmbuild --rebuild --target ppc64 openssl-devel*.src.rpm

The request asks for that package to be created and made available.
This is needed to successfully create 64-bit applications.

Dennis.

Version-Release number of selected component (if applicable):
openssl-devel-0.9.7a-33.4

How reproducible:
Always

Steps to Reproduce:
1. This is an enhancement request


Additional info:
Comment 1 Dennis 2004-10-10 20:30:50 EDT
I filed four enhancement requests (for ppc64 packages), those
packages were:

e2fsprogs-devel
krb5-devel
openldap-devel
openssl-devel

The first request of which (e2fsprogs-devel) has been rejected
by Bill Nottingham, see 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=134188

Just making you guys aware of this. It may mean the closing
of this request along similar lines.

Note, without the above 64-bit development packages 64-bit
binary production is made difficult. 

Dennis.
Comment 2 Bill Nottingham 2005-02-09 11:20:14 EST
Only a limited set of development libraries are shipped on biarch
platforms; generally, this is the LSB set.

Bringing in openssl brings in openldap, krb5-libs, etc.; and at least
some of these have headers that aren't wordsize clean, so they can't
be installed together.

Note You need to log in before you can comment on or make changes to this bug.